edu.isi.pegasus.planner.catalog.site.impl.old

## Class SiteFactory

- java.lang.Object
- - edu.isi.pegasus.planner.catalog.site.impl.old.SiteFactory

    public class SiteFactory
    extends java.lang.Object

A factory class to load the appropriate implementation of Transformation Catalog as specified by properties.

Version:
  $Revision$
Author:
  Karan Vahi

### Field Summary

Fields
`static java.lang.String` `DEFAULT_PACKAGE_NAME` The default package where all the implementations reside.
`static int` `NON_SINGLETON_LOAD`
`static int` `SINGLETON_LOAD` Constants to specify how to load the class, as singleton or non singleton.
`static java.lang.String` `TEXT_IMPLEMENTING_CLASS` The name of the class that connects to an multi line Text based Site Catalog.
`static java.lang.String` `XML_IMPLEMENTING_CLASS` The name of the class that connects to an XML based Site Catalog.

### Constructor Summary

Constructors
Constructor and Description
`SiteFactory()`

### Method Summary

All Methods Static Methods Concrete Methods
`static PoolInfoProvider` `loadInstance(PegasusProperties properties, boolean singleton)` Connects the interface with the site catalog implementation.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### DEFAULT_PACKAGE_NAME

    public static final java.lang.String DEFAULT_PACKAGE_NAME

The default package where all the implementations reside.

See Also:
  Constant Field Values

#### SINGLETON_LOAD

    public static final int SINGLETON_LOAD

Constants to specify how to load the class, as singleton or non singleton.

See Also:
  Constant Field Values

#### NON_SINGLETON_LOAD

    public static final int NON_SINGLETON_LOAD

See Also:
  Constant Field Values

#### XML_IMPLEMENTING_CLASS

    public static final java.lang.String XML_IMPLEMENTING_CLASS

The name of the class that connects to an XML based Site Catalog.

See Also:
  Constant Field Values

#### TEXT_IMPLEMENTING_CLASS

    public static final java.lang.String TEXT_IMPLEMENTING_CLASS

The name of the class that connects to an multi line Text based Site Catalog.

See Also:
  Constant Field Values

### Constructor Detail

#### SiteFactory

    public SiteFactory()

### Method Detail

#### loadInstance

    public static PoolInfoProvider loadInstance(PegasusProperties properties,
                                                boolean singleton)
                                         throws SiteFactoryException

Connects the interface with the site catalog implementation. The choice of backend is configured through properties. This class is useful for non-singleton instances that may require changing properties.

Parameters:
  `properties` - is an instance of properties to use.
  `singleton` - indicates whether to load the singleton implementation to Site Catalog backend or not. It should be set to false for portals.
Returns:
  handle to the Site Catalog.
Throws:
  `SiteFactoryException` - that nests any error that might occur during the instantiation
See Also:
  `DEFAULT_PACKAGE_NAME`